Package org.benf.cfr.reader.api

# Interface CfrDriver

public interface CfrDriver
Main driver for CFR API. Instance of this driver should be constructed by using `CfrDriver.Builder`.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static class`
  `CfrDriver.Builder`
  Builder for `CfrDriver` Note that *all* parameters are optional.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `analyse(List<String> toAnalyse)`
  Analyse and dump to configured output sink.

- ## Method Details

  - ### analyse

    void analyse(List<String> toAnalyse)
    Analyse and dump to configured output sink.
    Parameters:
      `toAnalyse` - list of class file FQN / path of jar / path of class file